slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPCISSSetSizes

Sets the values of various size parameters in the CISS solver.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPCISSSetSizes(NEP nep,PetscInt ip,PetscInt bs,PetscInt ms,PetscInt npart,PetscInt bsmax,PetscBool realmats)

Logically Collective

### Input Parameters

| nep | - the nonlinear eigensolver context
| ip | - number of integration points
| bs | - block size
| ms | - moment size
| npart | - number of partitions when splitting the communicator
| bsmax | - max block size
| realmats | - T(z) is real for real z

### Options Database Keys

| -nep_ciss_integration_points | - Sets the number of integration points
| -nep_ciss_blocksize | - Sets the block size
| -nep_ciss_moments | - Sets the moment size
| -nep_ciss_partitions | - Sets the number of partitions
| -nep_ciss_maxblocksize | - Sets the maximum block size
| -nep_ciss_realmats | - T(z) is real for real z

### Notes

The default number of partitions is 1. This means the internal KSP object is shared among all processes of the NEP communicator. Otherwise, the communicator is split into npart communicators, so that npart KSP solves proceed simultaneously.

The realmats flag can be set to true when T(.) is guaranteed to be real when the argument is a real value, for example, when all matrices in the split form are real. When set to true, the solver avoids some computations.

### See Also

NEPCISSGetSizes()

### Level

advanced

### Location

src/nep/impls/ciss/nciss.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages